/*  font-family: "Urbanist", sans-serif;
  font-family: "Bodoni Moda", serif;*/

body {
  background-color: white;
}

html,
body {
  height: 100%;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
}

:root {
  --branding-color: #f5f5f5;
  --secondary-color: #fbfbfb;
  --heading-font-family: "Urbanist", sans-serif;
  --default-font-family: "Urbanist", sans-serif;
}

.logo {
  max-width: 20px;
}
.navbar {
  background-color: #fbfbfba6;
  box-shadow: none;
}
.navbar-greyish {
  background-color: #fbfbfb;
}

.nav-item {
  font-size: 25px;
  font-family: var(--default-font-family);
  font-weight: 200;
  padding: 0 7px;
}

body {
  font-family: var(--default-font-family);
   overflow-x: hidden;

}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: black;
  font-family: var(--heading-font-family);
  font-weight: 100;
}

h1 {
  font-size: 35px;
}

h2 {
  font-size: clamp(28px, 6vw, 64px);
}

h4 {
  font-family: "Bodoni Moda", serif;
  font-weight: regular;
  font-size: 50px;
  letter-spacing: -5px;
  font-optical-sizing: none;
}

p {
  font-size: clamp(14px, 3.5vw, 18px);
  font-weight: 300;
  line-height: 1.5;
}

a:link,
a:visited {
  color: #000000;
}

.about {
  display: flex;
  justify-content: space-evenly;
  align-items: flex-start;
  gap: 10px;
}

.about p {
  max-width: 25%;
  margin: 0 5px;
}

.hero {
  background: var(--secondary-color);
  text-align: center;
  padding: 110px 20px;
}
.hero {
  background: var(--secondary-color);
  text-align: center;
  padding: 110px 20px;
  position: relative;
  overflow: visible;
}


/* ✦ BG HELLO FADE EFFECT */
.hero::before {
  content: "hello";
  position: absolute;
  left: 0;
  right: 0;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: font-size 0.2s ease;
  font-family: "Bodoni Moda", serif;
  font-weight: 400;
  font-size: clamp(80px, 22.5vw, 250px);
  letter-spacing: -0.09em;
  font-optical-sizing: none;

  color: rgba(0, 0, 0, 0.082); 
  filter: blur(1.5px);

  z-index: 1;
  margin: 0;
  line-height: 1;
  text-align: center;
  max-width: 100%;
  animation: helloCycle 18s infinite ease-in-out;
  text-transform: uppercase;
  padding: 0px 0px;
}

.hero p {
  font-family: "Bodoni Moda", serif;
  font-weight: 400;
    transition: font-size 0.2s ease;
  font-size: clamp(40px, 15vw, 165px);
  margin: 0;
  letter-spacing: -0.09em;
  font-optical-sizing: none;
}

.hero h1 {
  font-family: var(--heading-font-family);
  font-size: clamp(24px, 5.5vw, 40px);
  font-weight: 200;
}

.hero h2 {
  font-family: var(--heading-font-family);
  font-size: clamp(20px, 5vw, 35px);
  font-weight: 100;
  margin: 0;
  text-align: center;
}

.port {
  background: #ffffff;
  text-align: center;
  padding: 110px 20px;
}

.port p {
  font-family: "Bodoni Moda", serif;
  font-size: 165px;
  margin: 0;
  letter-spacing: -15px;
  font-optical-sizing: none;
}
.port h2 {
  font-family: var(--heading-font-family);
  font-size: 35px;
  font-weight: 100;
  text-align: left;
}

.title p {
  font-family: "Bodoni Moda", serif;
  font-size: 70px;
  margin: 0;
  letter-spacing: -7px;
  font-optical-sizing: none;
}

.btn-branding {
  background: var(--branding-color);
  border-radius: 4px;
  color: #000000;
  font-size: 18px;
  line-height: 27px;
  padding: 12px 20px;
}

.btn-branding-outline {
  background: var(--branding-color);
  border: 1px solid var(--branding-color);
  border-radius: 4px;
  font-size: 18px;
  line-height: 27px;
  padding: 12px 20px;
}

.project-description {
  opacity: 0;
  padding: 0 60px 0;
  text-align: center;
  transform: translateY(20px);
  transition: opacity 1.5s cubic-bezier(0.25, 0.8, 0.25, 1) 0.4s,
    transform 1.5s cubic-bezier(0.25, 0.8, 0.25, 1) 0.4s;
}

.carousel-item.active .project-description {
  opacity: 1;
  transform: translateY(0); /* Reset to final position (no movement) */
}

.carousel-item img {
  opacity: 0;
  transform: translateY(20px); /* Slide image from below */
  transition: opacity 1.5s cubic-bezier(0.25, 0.8, 0.25, 1),
    transform 1.5s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.carousel-item .row {
  min-height: 600px;
}

.carousel-item.active img {
  opacity: 1;
  transform: translateY(0); /* Reset image position */
}

.carousel-fade .carousel-item {
  opacity: 0;
  transition-property: opacity;
  transition-duration: 2s;
  transition-timing-function: ease-in-out;
}

.carousel-fade .carousel-item.active,
.carousel-fade .carousel-item-next.carousel-item-left,
.carousel-fade .carousel-item-prev.carousel-item-right {
  opacity: 1;
  z-index: 1;
}

footer {
  padding-bottom: 20px; /* Adds some space to the bottom */
}

footer .contact-box {
  background: var(--secondary-color);
  padding: 30px 40px;
  border-radius: 10px;
  margin: 0 auto; /* Center it */
  width: 95%; /* Define width as a percentage */
}

footer .contact-box p {
  margin: 0;
}

@media (max-width: 900px) {
  h1 {
    font-size: 37.5px;
    line-height: 1.5;
  }

  h4 {
    font-size: 30px;
    letter-spacing: -1px;
  }

  .hero {
    background: var(--secondary-color);
    text-align: center;
    padding: 80px 20px;
  }

  .project-description {
    padding: 0;
    margin: 0 auto;
    text-align: center;
  }

  .carousel-item img {
    margin: 0 auto;
  }

  footer .contact-box {
    padding: 30px;
  }
}


@keyframes helloCycle {
  0% {
    content: "bonjour";
    opacity: 0;
    transform: scale(1.05);
  }

  10% {
    opacity: 1;
  }

  20% {
    content: "hola";
    opacity: 0;
  }

  25% {
    content: "你好";
    opacity: 1;
  }

  35% {
    opacity: 0;
  }

  40% {
    content: "ciao";
    opacity: 1;
  }

  50% {
    opacity: 0;
  }

  55% {
    content: "zdravo";
    opacity: 1;
  }

  65% {
    opacity: 0;
  }

  70% {
    content: "olá";
    opacity: 1;
  }

  80% {
    opacity: 0;
  }

  85% {
    content: "こんにちは";
    opacity: 1;
  }

  95% {
    opacity: 0;
  }

  100% {
    content: "Hej";
    opacity: 0;
  }
}
